#include <stdio.h>

union options
{
  int option_a;
  float option_b;
};

int main() {
  union options o;
  o.option_a = 1 << 30 | 1;
  printf("option_a %i\n", o.option_a);
  printf("option_b %f\n", o.option_b);
}
